<template>
  <div v-show='isActive'>
    <div class="modal-mask">
      <div class="modal-wrapper">
        <div class="modal-container">
            <button class="modal-button" @click='close'>
              X
            </button>
            <slot></slot>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Tab',
  props: {
    title: {
      type: String,
      default: 'Tab'
    }
  },
  data () {
    return {
      isActive: false
    }
  },
  methods: {
    close() {
      this.isActive = !this.isActive
    }
  }
}
</script>
